package com.ruoyi.ibs.grid.service;

import org.locationtech.jts.geom.Geometry;

import java.util.List;

/**
 * @Author 吴凯程
 * @Date 2024/11/8
 **/
public interface GridAreaFenceService {

    Boolean updateGridFence(String gridType, Long gridId, List<String> codeList);

    void deleteGridFence(String gridType, Long gridId);

    Geometry getGeometry(String gridType, Long gridId);
}
